{
  "basic": [
    {
      "id": "basic_excel_merge",
      "name": "报表合并",
      "description": "报表合并",
      "icon": "intellFrame4",
      "agentType": "excelMerge",
      "parameters": {
        "retriever_resource": {
          "enabled": false
        },
        "user_input_form": [
         {
          "file-list": {
            "allowed_file_extensions": [
              "xlsx"
            ],
            "allowed_file_types": [
              "document"
            ],
            "allowed_file_upload_methods": [
              "local_file"
            ],
            "label": "文档解析站",
            "max_length": 30,
            "options": [],
            "required": true,
            "type": "file-list",
            "variable": "file_list"
          }
        }
        ],
        "file_upload":{
          "enabled": false
        }
      },
      "dialogType": "3",
      "mode": "agent-basic"
    },
    {
      "id": "basic_excel_talk",
      "name": "智能数据",
      "description": "智能数据",
      "icon": "intellFrame4",
      "agentType": "excelTalk",
      "parameters": {
        "retriever_resource": {
          "enabled": true
        },
        "user_input_form": [
          {
          "file-list": {
            "allowed_file_extensions": [
              "xlsx", "xls","csv","db"
            ],
            "allowed_file_types": [
              "document"
            ],
            "allowed_file_upload_methods": [
              "local_file"
            ],
            "label": "上传文档",
            "max_length": 30,
            "options": [],
            "required": true,
            "type": "file-list",
            "variable": "file_list",
            "fileUploadConfig": {
              "file_size_limit": 30,
              "batch_count_limit": 5,
              "image_file_size_limit": 10,
              "video_file_size_limit": 100,
              "audio_file_size_limit": 50,
              "workflow_file_upload_limit": 100
              }
            }
          }
        ],
        "file_upload":{
          "enabled": false
        }
      },
      "dialogType": "3",
      "mode": "agent-basic"
    },
    {
      "id": "basic_question_talk",
      "name": "出题组卷",
      "description": "出题组卷",
      "icon": "intellFrame4",
      "agentType": "questionTalk",
      "parameters": {
        "retriever_resource": {
          "enabled": true
        },
        "user_input_form": [],
        "file_upload":{
          "enabled": false
        }
      },
      "dialogType": "3",
      "mode": "agent-basic"
    },
    {
      "id": "basic_paper_talk",
      "name": "文档出卷",
      "description": "文档出卷",
      "icon": "intellFrame4",
      "agentType": "paperTalk",
      "parameters": {
        "retriever_resource": {
          "enabled": true
        },
        "user_input_form": [],
        "file_upload":{
          "enabled": false
        }
      },
      "dialogType": "3",
      "mode": "agent-basic"
    },
    {
      "id": "basic_report_talk",
      "name": "报告生成",
      "description": "报告生成",
      "icon": "intellFrame4",
      "agentType": "reportTalk",
      "parameters": {
        "retriever_resource": {
          "enabled": true
        },
        "user_input_form": [],
        "file_upload":{
          "enabled": false
        }
      },
      "dialogType": "3",
      "mode": "agent-basic"
    }
  ],
  "complex": [
    {
      "id": "9992ba72fff111ef8d890242ac120004",
      "name": "知识库专家",
      "description": "知识库专家",
      "icon": "intellFrame4",
      "chat_mode": 3,
      "parameters": {
      },
      "dialogType": "1",
      "mode": "complex-chat"
    },
    {
      "id": "ad127cb5-a1ef-49a3-82ed-6467a670fd10",
      "name": "文档分析专家",
      "description": "文档分析专家",
      "icon": "intellFrame4",
      "chat_mode": 1,
      "parameters": {
      },
      "dialogType": "4",
      "mode": "complex-chat"
    },
    {
      "id": "c6a9fda3-bfb8-40ef-9510-545766c7d6a0",
      "name": "联网搜索专家",
      "description": "联网搜索专家",
      "icon": "intellFrame4",
      "chat_mode": 2,
      "parameters": {
      },
      "dialogType": "4",
      "mode": "complex-chat"
    },
    {
      "id": "1974a79d-35bf-446d-95ed-0724380ea65a",
      "name": "语段优化专家",
      "description": "语段优化专家",
      "icon": "intellFrame4",
      "chat_mode": 4,
      "parameters": {
      },
      "dialogType": "4",
      "mode": "complex-chat"
    },
    {
      "id": "8c6b05e7-da35-4aa4-8874-32b5bba93e7a",
      "name": "思维导图专家",
      "description": "思维导图专家",
      "icon": "intellFrame4",
      "chat_mode": 5,
      "parameters": {
      },
      "dialogType": "4",
      "mode": "complex-chat"
    },
    {
      "id": "8c6b05e7-da35-4aa4-8874-32b5bba93111",
      "name": "清洗工作流",
      "description": "清洗工作流",
      "icon": "intellFrame4",
      "chat_mode": 7,
      "parameters": {
      },
      "dialogType": "4",
      "mode": "complex-chat"
    },
    {
      "id": "8c6b05e7-da35-4aa4-8874-32b5bba93222",
      "name": "小标题工作流",
      "description": "小标题工作流",
      "icon": "intellFrame4",
      "chat_mode": 8,
      "parameters": {
      },
      "dialogType": "4",
      "mode": "complex-chat"
    },
    {
      "id": "8c6b05e7-da35-4aa4-8874-32b5bba9333",
      "name": "报告生成工作流",
      "description": "报告生成工作流",
      "icon": "intellFrame4",
      "chat_mode": 9,
      "parameters": {
      },
      "dialogType": "4",
      "mode": "complex-chat"
    },
    {
      "id": "8f3e8d9c0bab11f0896e0242ac120006",
      "name": "知识库专家-深度",
      "description": "知识库专家",
      "icon": "intellFrame4",
      "chat_mode": 10,
      "parameters": {
      },
      "dialogType": "1",
      "mode": "complex-chat"
    }
  ]
}